View Issue Details

IDProjectCategoryView StatusLast Update
13236Bug reports[All Projects] Expression Managerpublic2018-02-06 12:00
Reporterjboogie21 Assigned Tomarkusfluer  
PriorityurgentSeverityminor 
Status closedResolutionfixed 
Product Version3.0.x 
Target VersionFixed in Version3.2.x 
Summary13236: Import LSS files from previous versions
Description

When importing an LSS file from 2.x to 3.x with relevance equations, sometimes the Qcodes display as undefined. Click on some other event (e.g. Survey logic file, Preview survey) and 3.x figures out the Qcodes are correct.

This is further detailed in this post: https://www.limesurvey.org/forum/design-issues/113438-troubleshooting-relevance-equation-problems-in-3-0-x

Steps To Reproduce

Import the attached sample LSS file created in 2.06 (DenisChu fork) to 3.x

Additional Information

I must admit when importing this LSS file the first time produced the most errors. On subsequent attempts the problem seemed to go away.

TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 3.0.5+180118
I will donate to the project if issue is resolvedNo
BrowserChrome
Database & DB-VersionMariaDB (probably the latest)
Server OS (if known)?
Webserver software & version (if known)?
PHP Version?

Activities

jboogie21

jboogie21

2018-01-23 21:16

reporter  

bug-submission-example.lss (34,227 bytes)
c_schmitz

c_schmitz

2018-01-24 16:21

administrator   ~46022

EM information needs to be properly reloaded when switching from one survey to another.

markusfluer

markusfluer

2018-02-05 16:25

administrator   ~46269

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=26355

Related Changesets

LimeSurvey: master ff1822e9

2018-02-05 16:23:59

markusfluer

Details Diff
Fixed issue 13236: Import LSS files from previous versions Affected Issues
13236
mod - application/controllers/admin/surveyadmin.php Diff File

Issue History

Date Modified Username Field Change
2018-01-23 21:16 jboogie21 New Issue
2018-01-23 21:16 jboogie21 File Added: bug-submission-example.lss
2018-01-24 16:20 c_schmitz Assigned To => markusfluer
2018-01-24 16:20 c_schmitz Status new => assigned
2018-01-24 16:21 c_schmitz Priority none => urgent
2018-01-24 16:21 c_schmitz Note Added: 46022
2018-02-05 16:25 markusfluer Status assigned => resolved
2018-02-05 16:25 markusfluer Resolution open => fixed
2018-02-05 16:25 markusfluer Fixed in Version => 3.1.x
2018-02-05 16:25 markusfluer Changeset attached => LimeSurvey master ff1822e9
2018-02-05 16:25 markusfluer Note Added: 46269
2018-02-06 12:00 ollehar Status resolved => closed
2018-02-06 12:00 ollehar Fixed in Version 3.1.x => 3.2.x